<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'yana',

    /*
     * Package.
     */
    'package'   => 'location',

    /*
     * Modules.
     */
    'modules'   => ['location'],

    'image'    => [

        'sm' => [
            'width'     => '140',
            'height'    => '140',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'md' => [
            'width'     => '370',
            'height'    => '420',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'lg' => [
            'width'     => '780',
            'height'    => '497',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '800',
            'height'    => '530',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

    ],

    
    'location'       => [
        'model' => [
            'model'                 => \Yana\Location\Models\Location::class,
            'table'                 => 'locations',
            'presenter'             => \Yana\Location\Repositories\Presenter\LocationItemPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at'],
            'appends'               => [],
            'fillable'              => ['user_id', 'id',  'name',  'slug',  'address',  'pin',  'phone',  'email',  'website',  'description',  'state',  'country',  'lat',  'lng',  'status',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'location/location',
            'uploads'               => [],
            'casts'                 => [],
            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Yana',
            'package'   => 'Location',
            'module'    => 'Location',
        ],

    ],
];
